- job:
    name: android-rockpi-cuttlefish
    project-type: freestyle
    defaults: global
    properties:
        - authorization:
            anonymous:
                - job-read
                - job-extended-read
            everyone-flat:
                - job-build
                - job-cancel
        - build-discarder:
            days-to-keep: 365
            num-to-keep: 30
    parameters:
        - string:
            name: ANDROID_MANIFEST_URL
            default: https://android.googlesource.com/platform/manifest
        - string:
            name: ANDROID_MANIFEST_BRANCH
            default: master
        - string:
            name: UBOOT_MANIFEST_URL
            default: https://android.googlesource.com/kernel/manifest/
        - string:
            name: UBOOT_MANIFEST_BRANCH
            default: u-boot-mainline
        - string:
            name: KERNEL_MANIFEST_URL
            default: https://android.googlesource.com/kernel/manifest/
        - string:
            name: KERNEL_MANIFEST_BRANCH
            default: common-android14-5.15
        - string:
            name: REPO_PACKAGE_URL
            default: https://salsa.debian.org/android-tools-team/repo.git
        - string:
            name: LOCAL_AOSP_CUTTLEFISH_GIT_URL
            default: https://git.linaro.org/people/paul.liu/rockpi4cuttlefish/aosp/device/google/cuttlefish.git
        - string:
            name: LOCAL_AOSP_CUTTLEFISH_GIT_BRANCH
            default: paulliu-local-patch
        - string:
            name: LOCAL_AOSP_KERNEL_TESTS_GIT_URL
            default: https://git.linaro.org/people/paul.liu/rockpi4cuttlefish/aosp/kernel/tests.git
        - string:
            name: LOCAL_AOSP_KERNEL_TESTS_GIT_BRANCH
            default: paulliu-local-patch
        - string:
            name: LOCAL_KERNEL_COMMON_GIT_URL
            default: https://git.linaro.org/people/paul.liu/rockpi4cuttlefish/kernel/common.git
        - string:
            name: LOCAL_KERNEL_COMMON_GIT_BRANCH
            default: paulliu-local-patch
        - string:
            name: LOCAL_UBOOTMAINLINE_UBOOT_GIT_URL
            default: https://git.linaro.org/people/paul.liu/rockpi4cuttlefish/u-boot-mainline/u-boot.git
        - string:
            name: LOCAL_UBOOTMAINLINE_UBOOT_GIT_BRANCH
            default: paulliu-local-patch
        - string:
            name: LUNCH_TARGET
            default: aosp_cf_x86_64_phone-userdebug
        - bool:
            name: USE_DEBIAN_BACKPORTS
            default: False
        - string:
            name: KERNEL_DIST
            default: source
            description: 'source, prebuilt, androidci, androidci-mainline'
        - string:
            name: UBOOT_DIST
            default: source
            description: 'source, prebuilt, androidci'
    disabled: false
    node: docker-bullseye-amd64
    display-name: 'Android RockPi Cuttlefish Build'
    concurrent: true
    wrappers:
        - timestamps
        - timeout:
            timeout: 500
    builders:
        !include: android-rockpi-cuttlefish/builders.yaml.inc
    publishers:
        !include: android-rockpi-cuttlefish/publishers.yaml.inc
